catalog:
  title: Runnable Robobench Moos Ivp Profile

templates:
- freestyle
- base
- runnable

variables:
  description: FSMT test for MOOS-IVP
  keywords:
  - testing
  - robobench
  - robobench-alpha
  maintainer: Jonathan Weisz

  branches:
  - master

  extra-requires:
  - nature: freestyle
    target: moos-ivp

  shell.command: |
    #!/bin/bash
    export USER=jweisz
    export PATH=$toolkit_dir/bin/:$PATH;
    export PYTHONPATH=$PYTHONPATH:$toolkit_dir/lib/python2.7/site-packages:$toolkit_dir/lib/python2.7/dist-packages;
    pushd $toolkit_dir/etc/robobench-experiments/moos-ivp-m2-berta/missions/m2_berta
    fsmt_iniparser -o $toolkit_dir/etc/robobench-experiments/moos-ivp-m2-berta/moos-ivp-m2-berta.scxml $toolkit_dir/etc/robobench-experiments/moos-ivp-m2-berta/moos-ivp-m2-berta.ini;
    fsmt $toolkit_dir/etc/robobench-experiments/moos-ivp-m2-berta/moos-ivp-m2-berta.scxml;
